<?php

namespace NoccyLabs\SimpleJWT;


class JWTUtilTest extends \PHPUnit\Framework\TestCase
{

    /**
     * @covers 
     */
    public function testTheEncodingShouldBeSymmetric()
    {
        $v1a = "HelloWorld";
        $v1b = JWTUtil::encode($v1a);
        $v1c = JWTUtil::decode($v1b);

        $this->assertEquals($v1a, $v1c);
        $this->assertNotEquals($v1a, $v1b);
    }
}
